## Copyright 2022 United States Amry Cyber School
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##    http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.

{% set role = grains['role'] %}

{% if grains['os_family'] == 'Debian' %}

filebeat-agent:
  pkg.installed:
    - sources:
      - filebeat: https://artifacts.elastic.co/downloads/beats/filebeat/filebeat-8.3.2-amd64.deb

{% elif grains['os_family'] == 'RedHat' %}
filebeat-agent:
  pkg.installed:
    - sources:
      - filebeat: https://artifacts.elastic.co/downloads/beats/filebeat/filebeat-8.3.2-x86_64.rpm

{% endif %}
